List Lawsuit Activity
curl --request GET \
--url https://api.base39.com.br/v2/lawsuits/{cnjNumber}/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/lawsuits/{cnjNumber}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/lawsuits/{cnjNumber}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"results": [
{
"cnjNumber": "<string>",
"activityType": "update",
"providerSubtype": "<string>",
"content": "<string>",
"publishedAt": "<string>",
"captureDate": "<string>",
"sourceProvider": "<string>",
"sourceDataset": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"type": "<string>"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "Protests not found for document",
"instance": "/v2/entities/61969404000182/protests",
"request_id": "req_123"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "Protests not found for document",
"instance": "/v2/entities/61969404000182/protests",
"request_id": "req_123"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "Protests not found for document",
"instance": "/v2/entities/61969404000182/protests",
"request_id": "req_123"
}Litigation & Bankruptcy
List Lawsuit Activity
GET
/
v2
/
lawsuits
/
{cnjNumber}
/
activity
List Lawsuit Activity
Authorizations
OAuth2 Authorization Code flow
Path Parameters
CNJ number
Query Parameters
Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").
Example:
"createdBy"
Items per page (default 100, max 1000)
Required range:
1 <= x <= 1000Example:
100
Cursor for next page
Server-side full-text activity search
Response
Paginated lawsuit activity payload
Object type identifier
Array of results for current page
Show child attributes
Show child attributes
Whether more results exist beyond this page
Opaque cursor for next page. null if no more results.
Type of results (Notion-compatible)
⌘I